Package org.opensaml.saml.saml2.core.impl

# Class StatusImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.StatusImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Status`

public class StatusImpl extends AbstractXMLObject implements Status
Concrete implementation of `Status`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCode`
`statusCode`
StatusCode element.
`private StatusDetail`
`statusDetail`
StatusDetail element.
`private StatusMessage`
`statusMessage`
StatusMessage element.

### Fields inherited from interface org.opensaml.saml.saml2.core.Status

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCode`
`getStatusCode()`
Gets the Code of this Status.
`StatusDetail`
`getStatusDetail()`
Gets the Detail of this Status.
`StatusMessage`
`getStatusMessage()`
Gets the Message of this Status.
`void`
`setStatusCode(StatusCode newStatusCode)`
Sets the Code of this Status.
`void`
`setStatusDetail(StatusDetail newStatusDetail)`
Sets the Detail of this Status.
`void`
`setStatusMessage(StatusMessage newStatusMessage)`
Sets the Message of this Status.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### statusCode

@Nullable private StatusCode statusCode
StatusCode element.

### statusMessage

@Nullable private StatusMessage statusMessage
StatusMessage element.

### statusDetail

@Nullable private StatusDetail statusDetail
StatusDetail element.

## Constructor Details

### StatusImpl

protected StatusImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace uri
  `elementLocalName` - element name
  `namespacePrefix` - namespace prefix

## Method Details

### getStatusCode

@Nullable public StatusCode getStatusCode()
Gets the Code of this Status.

Specified by:
  `getStatusCode` in interface `Status`
Returns:
  Status StatusCode

### setStatusCode

public void setStatusCode(@Nullable StatusCode newStatusCode)
Sets the Code of this Status.

Specified by:
  `setStatusCode` in interface `Status`
Parameters:
  `newStatusCode` - the Code of this Status

### getStatusMessage

@Nullable public StatusMessage getStatusMessage()
Gets the Message of this Status.

Specified by:
  `getStatusMessage` in interface `Status`
Returns:
  Status StatusMessage

### setStatusMessage

public void setStatusMessage(@Nullable StatusMessage newStatusMessage)
Sets the Message of this Status.

Specified by:
  `setStatusMessage` in interface `Status`
Parameters:
  `newStatusMessage` - the Message of this Status

### getStatusDetail

@Nullable public StatusDetail getStatusDetail()
Gets the Detail of this Status.

Specified by:
  `getStatusDetail` in interface `Status`
Returns:
  Status StatusDetail

### setStatusDetail

public void setStatusDetail(@Nullable StatusDetail newStatusDetail)
Sets the Detail of this Status.

Specified by:
  `setStatusDetail` in interface `Status`
Parameters:
  `newStatusDetail` - the Detail of this Status

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements